{title}Importer{/title}
{add_bread_crumb}Import Data{/add_bread_crumb}

{if $show}
	{if is_array($info)}
		<dl id="account_details">
			<dt>{lang}Data From{/lang}</dt>
		  <dd>{$info.exported_from}</dd>
		  
		  <dt>{lang}Account Name{/lang}</dt>
		  <dd>{$info.account_name|clean}</dd>
		  
		  <dt>{lang}Plan{/lang}</dt>
		  <dd>{$info.plan|clean}</dd>
		  
		  <dt>{lang}Updated On{/lang}</dt>
		  <dd>{$info.updated_on}</dd>
		</dl>
	{/if}
	
	<div class="list_view" id="companies">
		<table id="companies_list" class="common_table">
		  <tr>
		    <th>1. {lang}Import Companies and Users{/lang}</th>
		    <th></th>
		  </tr>
		  <tbody>
		  	{if !is_null($companies)}
			    <tr class="companies {cycle values='odd,even'}">
			      <td class="details">
				      {wrap field=is_admin}
				        {label for=isAdmin}Select the Administrator's role:{/label}
				        {select_role value=$role_data.admin_role_id id=isAdmin}
				      {/wrap}
				      
				      {wrap field=can_see_private}
				        {label for=canSeePrivate}Select the role for Users who can see private objects:{/label}
				        {select_role value=$role_data.can_see_private_role_id id=canSeePrivate}
				      {/wrap}
				      
				      {wrap field=cannot_see_private}
				        {label for=cannotSeePrivate}Select the role for Users who cannot see private objects:{/label}
				        {select_role value=$role_data.cannot_see_private_role_id id=cannotSeePrivate}
				      {/wrap}
			      </td>
			      <td class="options">
			        {if !$companies.imported}
			        	<a href="#" class="button_add">{lang}Import{/lang}</a>
			        {else}
			        	<img src="{image_url name=ok_indicator.gif}" alt="" />
			        {/if}
			      </td>
			    </tr>
		    {else}
		    	<tr class="project">
			      <td class="details">{lang}There are no companies and users to import{/lang}</td>
			      <td class="options"></td>
			    </tr>
		    {/if}
		  </tbody>
		</table>
	</div>
	
	<div class="cat_and_proj">
		<div class="list_view" id="categories">
			<table id="categories_list" class="common_table">
			  <tr>
			    <th>2. {lang}Import Default Categories (optional){/lang}</th>
			    <th></th>
			  </tr>
			  <tbody>
			  	{if !is_null($default_categories)}
				    <tr class="categories {cycle values='odd,even'}">
				      <td class="details">{lang}Default Categories{/lang}</td>
				      <td class="options">
				        {if !$default_categories.imported}
				        	<a href="#" class="button_add">{lang}Import{/lang}</a>
				        {else}
				        	<img src="{image_url name=ok_indicator.gif}" alt="" />
				        {/if}
				      </td>
				    </tr>
			    {else}
			    	<tr class="project">
				      <td class="details">{lang}There are no default categories to import{/lang}</td>
				      <td class="options"></td>
				    </tr>
			    {/if}
			  </tbody>
			</table>
		</div>
		
		<div class="list_view" id="projects">
			<table id="project_list" class="common_table">
			  <tr>
			    <th>3. {lang}Import Projects{/lang}</th>
			    <th class="import_all">
			    	{if is_foreachable($projects) && !$all_imported}<a href="#" class="button_add">{lang}Import All{/lang}{/if}</a>
			    </th>
			  </tr>
			  <tbody>
			  	{if is_foreachable($projects)}
			  		{foreach from=$projects item=project}
					    <tr class="project {cycle values='odd,even'}">
					      <td class="details">{$project.name|clean}</td>
					      <td class="options">
					      	{if !$project.imported}
					        	<a href="#" id="{$project.id}" class="button_add">{lang}Import{/lang}</a>
					        {else}
					        	<img src="{image_url name=ok_indicator.gif}" alt="" />
					        {/if}
					      </td>
					    </tr>
					  {/foreach}
					{else}
						<tr class="project">
				      <td class="details">{lang}There are no projects to import{/lang}</td>
				      <td class="options"></td>
				    </tr>
				  {/if}
			  </tbody>
			</table>
			<p class="all_done">All projects are successfully imported!</p>
		</div>
	</div>
{/if}