<?php

  /**
   * project_exporter_object_tasks helper
   *
   * @package activeCollab.modules.project_exporter
   * @subpackage helpers
   */
  
  /**
   * Show a list of categories
   *
   * Parameters:
   * 
   * - object - tasks parent object
   * - id - table id (if not provided autogenerated)
   * 
   * @param array $params
   * @param Smarty $smarty
   * @return string
   */
  
  function smarty_function_project_exporter_object_tasks($params, &$smarty) {
    static $counter = 1;
    
    $id = array_var($params, 'id');
    if(empty($id)) {
      $id = 'objects_list_' . $counter;
      $counter++;
    } // if
    
    $object = array_var($params, 'object');
    
    $completed = $object->getCompletedTasks();
    $open = $object->getOpenTasks();
    
    $smarty->assign(array(
      '_object_tasks_object'          => $object,
      '_id'                           => id,
      '_object_tasks_completed_tasks' => $completed,
      '_object_tasks_open_tasks'      => $open,
    ));

    return $smarty->fetch(get_template_path('_project_exporter_object_tasks', null, PROJECT_EXPORTER_MODULE));
  } // smarty_function_project_exporter_object_tasks

?>